apply plugin: 'com.android.application'

android {
	signingConfigs {
		hh {
			keyAlias 'androiddebugkey'
			keyPassword 'android'
			storeFile file('/home/hh/.android/debug.keystore')
			storePassword 'android'
		}
	}
	
	compileSdkVersion 28

	defaultConfig {
		applicationId 'hh.michelson'
		minSdkVersion 22
		targetSdkVersion 26
		versionCode 1
		versionName "1.0"
		testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
		signingConfig signingConfigs.hh
	}
	buildTypes {
		release {
			signingConfig signingConfigs.hh
		}
		debug {
			debuggable false
		}
	}
	productFlavors {
	}
}

dependencies {
	implementation project(':lib031-release')
	implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:support-v4:28.0.0'
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.android.support:preference-v7:28.0.0'
    implementation 'com.android.support:coordinatorlayout:28.0.0'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    implementation 'com.android.support:design:28.0.0'
}
